Skip to main content
`Ctrl`+`K`

# DMSwarmCellDMGetCellID

Returns the cell id field name for the `DMSwarm`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCellDMGetCellID(DMSwarmCellDM celldm, const char *cellid[])

Not Collective

## Input Parameter

- celldm - The `DMSwarmCellDM` object

## Output Parameters

- cellid - The cell id field name in the `DMSWARM`

## See Also

`DMSwarmCellDM`, `DM`, `DMSwarmSetCellDM()`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

## Examples

src/ts/tutorials/ex77.c
src/ksp/ksp/tutorials/ex70.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages